Subject: Form I-134

From: [email-masked]
Date: Mon, 14 Feb 94 16:41:09 CST

Hi. I heard that Form I-134 (Affidavit of Support) was updated recently.
Some local INS are requesting new forms from applicants.  Can anybody
confirm this?  Does anyone have trouble on Form I-134 with INS?

Thanks for your attention and happy new year.